import request from '@/utils/request'

// 查询sms列表
export function listSms(query) {
  return request({
    url: '/system/sms/list',
    method: 'get',
    params: query
  })
}

// 查询sms详细
export function getSms(id) {
  return request({
    url: '/system/sms/' + id,
    method: 'get'
  })
}

// 新增sms
export function addSms(data) {
  return request({
    url: '/system/sms',
    method: 'post',
    data: data
  })
}

// 修改sms
export function updateSms(data) {
  return request({
    url: '/system/sms',
    method: 'put',
    data: data
  })
}

// 删除sms
export function delSms(id) {
  return request({
    url: '/system/sms/' + id,
    method: 'delete'
  })
}
